Subject: Re: [PATCH] ipv[46]: Fix MD5 signatures for non-linear skbs

From: Evgeniy Polyakov <[email-masked]>
Date: Fri, 4 Jul 2008 12:24:03 +0400

Hi.

On Thu, Jul 03, 2008 at 05:19:41PM -0700, Adam Langley ([email-masked]) wrote:
> +int tcp_md5_hash_key(struct tcp_md5sig_pool *hp, struct tcp_md5sig_key *key)
> +{
> +	struct scatterlist sg;
> +
> +	sg_init_table(&sg, 1);
> +	sg_set_buf(&sg, key->key, key->keylen);
> +	return crypto_hash_update(&hp->md5_desc, &sg, key->keylen);
> +}

A trivial nit: you can use sg_init_one() to initialize single
scatterlist and set data pointer instead of sg_init_table()/sg_set_buf()
in all places where you use single sg.

-- 
	Evgeniy Polyakov